commit:     bc5a1652358a4bc7e3ce2030291737da90a8fc89
Author:     Paul Zander <negril.nx+gentoo <AT> gmail <DOT> com>
AuthorDate: Sun May 11 16:47:46 2025 +0000
Commit:     Paul Zander <negril.nx+gentoo <AT> gmail <DOT> com>
CommitDate: Sun May 11 16:47:46 2025 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=bc5a1652

dev-python/anytree: add 2.13.0

Signed-off-by: Paul Zander <negril.nx+gentoo <AT> gmail.com>

 dev-python/anytree/Manifest              |  1 +
 dev-python/anytree/anytree-2.13.0.ebuild | 65 ++++++++++++++++++++++++++++++++
 2 files changed, 66 insertions(+)

diff --git a/dev-python/anytree/Manifest b/dev-python/anytree/Manifest
index 46aba4f417..637bbc16d0 100644
--- a/dev-python/anytree/Manifest
+++ b/dev-python/anytree/Manifest
@@ -1 +1,2 @@
 DIST anytree-2.12.0.gh.tar.gz 192330 BLAKE2B 
117f80689b6610f622a41b2abb85cf54f2ba639659f80e6b8d163043d2552586ef11ed86532b19c7b69beec5e66ab3acad2f72ed0f1e9aa5d3832e4e8ec76457
 SHA512 
822a72cf84227a7b78cb3808eea585d783821d9c476f1b1e50d77cf982b4bf3c08011be9564ff5205a3efd0d982b03daabeb0067aea523a14002179c94451ff4
+DIST anytree-2.13.0.gh.tar.gz 235959 BLAKE2B 
a49dfad2d4360e449ce666a8e9227bdb3f83c60dd7ca7a68081e046414f4da041deb4762d6f54372e32e48e6c9bdd93ee6de785b0f8c4c7e6f0622f4944c3051
 SHA512 
f587449b78877ee7f9ed1dedf88d55c75c05567fd7fe780808b2852152308a4bf2d42651fe1967b9eb67021ca33daa29ed387847ad93261ff93dfda356b4f296

diff --git a/dev-python/anytree/anytree-2.13.0.ebuild 
b/dev-python/anytree/anytree-2.13.0.ebuild
new file mode 100644
index 0000000000..268039c075
--- /dev/null
+++ b/dev-python/anytree/anytree-2.13.0.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{11..13} )
+DISTUTILS_USE_PEP517=pdm-backend
+
+inherit distutils-r1
+
+DESCRIPTION="Powerful and Lightweight Python Tree Data Structure with various 
plugins"
+HOMEPAGE="https://anytree.readthedocs.io/";
+
+SRC_URI="https://github.com/c0fec0de/anytree/archive/refs/tags/${PV}.tar.gz -> 
${P}.gh.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+IUSE="dot"
+
+RDEPEND="
+       dot? (
+               media-gfx/graphviz
+       )
+"
+
+DEPEND="${RDEPEND}
+       test? (
+               $(python_gen_cond_dep '
+                       dev-python/six[${PYTHON_USEDEP}]
+                       dev-python/pytest-cov[${PYTHON_USEDEP}]
+               ')
+       )
+"
+
+distutils_enable_sphinx docs
+distutils_enable_tests pytest
+
+src_prepare(){
+       default
+
+       sed -e '/--cov/d' -i pyproject.toml || die
+
+       mkdir "${S}/tests/dotexport" || die
+}
+
+python_test() {
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       local -x EPYTEST_DESELECT=()
+       local -x EPYTEST_IGNORE=(
+               tests/test_dotexport.py
+               tests/test_dotexporter.py
+               tests/test_mermaidexporter.py
+               tests/test_uniquedotexporter.py
+       )
+
+       if ! use dot; then
+               EPYTEST_DESELECT+=(
+                       "tests/test_dotexport.py::test_tree_png"
+               )
+       fi
+
+       distutils-r1_python_test "${S}/tests"
+}

Reply via email to